﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="CSEasyScriptSection.aspx.vb" Inherits="CSEasyScript.CSEasyScriptSection" %>
<%@ register tagprefix="ex" namespace="Exact.Web.UI.Controls" assembly="Exact.Web.UI.Controls" %>

<html>
<head>
	<meta name="save" content="history" />
	<link rel="stylesheet" type="text/css" href="Exact.css" />
    <script language="javascript" type="text/javascript">
    </script>
</head>
<body>

	<ep:form id="frm" runat="server">

        <ex:CardControl runat="server" ID="Card" Action="Show" Customizable="false">

            <ex:Header runat="server" ID="hdr">
                <ex:HeaderButton ID="hbFavorite" ButtonStyle="Favorite" /> 
            </ex:Header>

            <ex:headerproperties runat="server" id="hdrProps" headerpropertiesstyle="CreatedModified" datasource="bc" 
                datafieldcreated="Created" datafieldcreator="Creator" datafieldcreatorname="CreatorFullName"
	            datafieldmodified="Modified" datafieldmodifier="Modifier" datafieldmodifiername="ModifierFullName" />

            <ex:ButtonBar runat="server" ID="Buttons">
                <ex:Button runat="server" ID="btnSave" ButtonStyle="Save" DataSource="bc" />
                <ex:Button runat="server" ID="btnSaveNew" ButtonStyle="SaveNew" DataSource="bc" />
                <ex:Button runat="server" ID="btnDelete" ButtonStyle="Delete" DataSource="bc" />
                <ex:Button runat="server" ID="btnClose" ButtonStyle="Close" />
            </ex:ButtonBar>

            <ex:bcerrormessages runat="server" id="errMsg" />

            <ex:BCDataSource runat="server" ID="bc" Component="CSEasyScriptSections" ListPage="CSEasyScriptSections.aspx" />
                
              <ex:cardrow runat="server" id="cr">
	            <ex:cardcolumn runat="server" id="cc">
		            <ex:cardsection runat="server" id="csPage" caption="Page" captionid="8435">
			            <ex:cardfield runat="server" id="cfPage" caption="Page" captionid="8435">
				            <ex:combobox runat="server" id="PageID" datasource="bc" AutoPostBack="True" />
			            </ex:cardfield>
                    </ex:cardsection>
                    <ex:cardsection runat="server" id="csTitle" caption="Title" captionid="10189">
			            <ex:cardfield runat="server" id="cfTitle" caption="Title" captionid="10189">
				            <ex:inputfield runat="server" id="Caption" datasource="bc" />
			            </ex:cardfield>
                        <ex:cardfield runat="server" id="cfCaptionID" caption="Term" captionid="991" CaptionSuffix=":ID" CaptionSuffixID="0">
				            <ex:inputfield runat="server" id="CaptionID" datasource="bc" />
			            </ex:cardfield>
                        <ex:cardfield runat="server" id="cfEnabled" caption="Enabled" captionid="9086">
		                    <ex:checkbox runat="server" id="Enabled" datasource="bc" />
	                    </ex:cardfield>
                        <ex:cardfield runat="server" id="cfDescription" caption="Description" captionid="4243">
                            <ex:memofield runat="server" id="Description" datasource="bc" width="100%" height="6" htmlencoded="False" />
			            </ex:cardfield>
                        <ex:cardfield runat="server" id="cfRoleID" caption="Role" captionid="27454">
                            <ex:combobox runat="server" id="RoleID" datasource="bc" />
			            </ex:cardfield>
                    </ex:cardsection>
                    <ex:cardsection runat="server" id="csScript" caption="Script" captionid="0">
			            <ex:cardfield runat="server" id="cfScript" caption="Script" captionid="0">
                            <ex:memofield runat="server" id="Script" datasource="bc" width="100%" height="24" htmlencoded="False" />
			            </ex:cardfield>
		            </ex:cardsection>
                    <ex:cardsection runat="server" id="csCriteria" caption="Criteria" captionid="9822">
			            <ex:cardfield runat="server" id="cfCriteria" caption="Criteria" captionid="9822">
                            <ex:memofield runat="server" id="Criteria" datasource="bc" width="100%" height="4" htmlencoded="False" />
			            </ex:cardfield>
                        <ex:cardfield runat="server" id="cfTableName" caption="Table name" captionid="10700">
                            <ex:inputfield runat="server" id="PageTableName" datasource="bc" ReadOnly="True" />
			            </ex:cardfield>
		            </ex:cardsection>
	            </ex:cardcolumn>
            </ex:cardrow>

        </ex:CardControl>
    </ep:form>
</body>
</html>
