﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="CSEasyScriptSections.aspx.vb" Inherits="CSEasyScript.CSEasyScriptSections" %>
<%@ register tagprefix="ex" namespace="Exact.Web.UI.Controls" assembly="Exact.Web.UI.Controls" %>

<html>
<head>
	<meta name="save" content="history" />
	<link rel="stylesheet" type="text/css" href="Exact.css" />

    <script type="text/javascript">
    </script>
</head>
<body>

<ep:form id="frm" runat="server">
    <ex:CardControl runat="server" ID="Card" Action="Show">
		<ex:header runat="server" id="hdr" Caption="Easy Script" CaptionID="0" CaptionSuffix="-Sections" CaptionSuffixID="18537">
			<ex:headerbutton id="hbFavorite" buttonstyle="Favorite" />
			<ex:headerbutton id="hbExcel" buttonstyle="ExcelExport" />
			<ex:headerbutton id="hbPrint" buttonstyle="Printable" />
		</ex:header>

		<ex:buttonbar runat="server" id="btnBar">
			<ex:button runat="server" id="btnRefresh" buttonstyle="Refresh" buttontype="Submit" />
			<ex:button runat="server" id="btnNew" buttonstyle="AddNew" navigateurl="CSEasyScriptSection.aspx?BCAction=0" />
			<ex:button runat="server" id="btnClose" buttonstyle="Close" />
		</ex:buttonbar>

        <ex:bcerrormessages runat="server" id="errMsg" />

        <ex:cardrow runat="server" id="crFilter">
            <ex:cardcolumn runat="server" id="ccFilter">
		        <ex:cardsection runat="server" id="csFilter" caption="Filter" captionid="1378">
				    <ex:cardfield runat="server" id="cfFilterEnabled" caption="Enabled" captionid="9086">
                        <ex:combobox runat="server" id="Enabled" validationas="int" allowempty="true">
                            <ex:listitem caption="Yes" captionid="1014" value="1" />
                            <ex:listitem caption="No" captionid="1015" value="0" />										
					    </ex:combobox> 
				    </ex:cardfield>
                    <ex:cardfield runat="server" id="cfFilterTitle" caption="Title" captionid="10189">
                        <ex:imagebuttonlist runat="server" id="TitleOperator" appearance="Toggle" validationas="int" validationdefault="5" imageheight="">
					        <ex:listitem value="5" caption="Starts with" captionid="390" image="startwith.svg"  />
					        <ex:listitem value="6" caption="Contains" captionid="16440" image="wildcard.svg" />
					        <ex:listitem value="0" caption="Equal to" captionid="371" image="equalto.svg" />
				        </ex:imagebuttonlist>
					    <ex:inputfield runat="server" id="Title" />
				    </ex:cardfield>
                    <ex:cardfield runat="server" id="cfFilterModified" caption="Modified" captionid="53">
					    <ex:daterange runat="server" id="Modified" validationas="DateTime" ShowQuickSelect="True" />
				    </ex:cardfield>
                </ex:cardsection>
            </ex:cardcolumn>
        </ex:cardrow>

        <ex:cardrow runat="server" id="crData">
            <ex:cardcolumn runat="server" id="ccData">
                <ex:cardlistview runat="server" id="csDefinitions" showheader="True" customizecolumns="False" customizerows="False">
	                <ex:listview runat="server" id="List" Caption="Sections" CaptionID="18537" onquery="List_OnQuery" ongetdata="List_OnGetData" showwaitmessage="True" DefaultSortColumn="colModified" DefaultSortDescending="True" Autopostback="True" enablesetting="true" ScrollBar="None" ShowPageSize="False">
                        <Columns>
				            <ex:listviewcolumn runat="server" id="colCaption" width="20%" caption="Title" captionid="10189" EnableSorting="True"/>
                            <ex:listviewcolumn runat="server" id="colDescription" width="25%" caption="Description" captionid="4243" EnableSorting="True"/>
				            <ex:listviewcolumn runat="server" id="colPage" width="10%" caption="Page" captionid="8435" EnableSorting="True"/>
                            <ex:listviewcolumn runat="server" id="colIsMaint" width="5%" caption="Edit" captionid="25319" EnableSorting="True"/>
                            <ex:listviewcolumn runat="server" id="colCriteria" width="15%" caption="Criteria" captionid="9822" EnableSorting="True"/>
				            <ex:listviewcolumn runat="server" id="colEnabled" width="5%" caption="Enabled" captionid="9086" EnableSorting="True"/>
                            <ex:listviewcolumn runat="server" id="colCreated" captionid="2468" caption="Created" width="10%" EnableSorting="True" />
                            <ex:listviewcolumn runat="server" id="colModified" captionid="53" caption="Modified" width="10%" EnableSorting="True" />
                        </Columns>
		            </ex:listview>
		            <ex:bcerrormessages runat="server" id="errNoDataFound" Mode="Notification" />
                </ex:cardlistview>
            </ex:cardcolumn>
        </ex:cardrow>
    </ex:CardControl>
</ep:form>

</body>
</html>